# optimbase_stoplog

Prints the given stopping message.

## Calling Sequence

                opt = optimbase_stoplog(opt, msg)

## Argument

opt

  The object of TOPTIM type (tlist).

msg

  A string, the message to print.

## Description

The `optimbase_stoplog` function prints the given stopping rule message if verbose termination option is enabled. If verbose termination option is disabled, does nothing.

## Example

        opt = optimbase_new ();
        opt = optimbase_configure(opt,"-numberofvariables",2);
        opt = optimbase_configure(opt,"-verbose",1);
        opt = optimbase_configure ( opt , "-verbosetermination" , 1 );
        opt = optimbase_stoplog ( opt , "My message is stopping." );
        opt = optimbase_destroy(opt);

## See Also

- optimbase_log